Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354373 - Review Request: qt5 - Qt5 meta package
Summary: Review Request: qt5 - Qt5 meta package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 07:57 UTC by Helio Chissini de Castro
Modified: 2016-10-07 11:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-07 11:42:41 UTC
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Helio Chissini de Castro 2016-07-11 07:57:07 UTC
Spec URL: https://heliocastro.fedorapeople.org/qt5/qt5.spec
SRPM URL: https://heliocastro.fedorapeople.org/qt5/qt5-5.7.0-5.fc24.src.rpm
Description: Qt5 meta package
Fedora Account System Username: heliocastro

Comment 1 Daniel Vrátil 2016-07-11 08:02:30 UTC
Moving macros.qt5 from qt5-qtbase here means that packagers will have to have this package (and thus the *entire* Qt5) installed in order to do packaging work on anything that depends on Qt5. I don't like that. I would much more prefer keeping the macro files in qt5-qtbase.

Comment 2 Daniel Vrátil 2016-07-11 08:04:12 UTC
Oh, I haven't noticed the rpm-macros subpackage. Please ignore my previous comment.

(I blame the unbearable temperatures in my office :-))

Comment 3 Raphael Groner 2016-07-11 08:50:37 UTC
> %files rpm-macros
> %{_rpmconfigdir}/macros.d/macros.qt5

Wondering too here, why not (any more) in qt5-qtbase-devel ?

Comment 4 Helio Chissini de Castro 2016-07-11 09:53:20 UTC
Devel on qt5-qtbase-devel requires the macro package

Since everyone uses qt5-qtbase-devel it comes by default.

I just wanted to follow same schema as kf5.macros.

Comment 5 Christian Dersch 2016-07-11 14:17:43 UTC
Will review now

Comment 6 Christian Dersch 2016-07-11 14:26:04 UTC
Approved! Stuff like macros looks fine, package is named correctly, Conflicts/Provides etc. is fine.

Just one question: Maybe you want to introduce versioned dependencies? So if one installs qt5-5.7.0 all deps are forced to be Qt 5.7.0.

Comment 7 Christian Dersch 2016-07-11 14:28:19 UTC
And of course: fedora-review does not show any obvious issues :)

Comment 8 Rex Dieter 2016-07-11 14:39:24 UTC
sed -i \
  -e "s|@@QT5_CFLAGS@@|%{?qt5_cflags}|g" \
  -e "s|@@QT5_CXXFLAGS@@|%{?qt5_cxxflags}|g" \
  -e "s|@@QT5_RPM_LD_FLAGS@@|%{?qt5_rpm_ld_flags}|g" \
  -e "s|@@QT5_RPM_OPT_FLAGS@@|%{?qt5_rpm_opt_flags} %{?qt5_null_flag}|g" \
  %{buildroot}%{_rpmconfigdir}/macros.d/macros.qt5


This won't work as-is, since the macros qt5_cflags qt5_cxxflags qt5_rpm_ld_flags qt5_rpm_opt_flags are not yet defined when this package is built.

Comment 9 Helio Chissini de Castro 2016-07-12 09:29:38 UTC
Fixed on 

Spec URL: https://heliocastro.fedorapeople.org/qt5/qt5.spec
SRPM URL: https://heliocastro.fedorapeople.org/qt5/qt5-5.7.0-6.fc24.src.rpm

Comment 10 Gwyn Ciesla 2016-07-15 13:18:42 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/qt5


Note You need to log in before you can comment on or make changes to this bug.